var chartTypes;

var sp_options = [
    new option('Squares', 3, 3, ['5x7', '5x9', '7x11'], ['5x7', '5x9', 'NA']),
    new option('Size', 3, 7, ['Medium', 'Large', 'X-Large', 'Small', 'X-Small', 'XX-Small', 'XX-Large','Custom'],
        ['M', 'L', 'XL', 'S', 'XS', 'XXS', 'XXL','C']),
    new option('Substrate', 3, 5, ['Matte', 'Semi-Gloss', 'DisplayTrans', 'Metal', 'Photographic'],
        ['Matte', 'Semigloss', 'DisplayTrans', 'NA', 'Photo']),
    new option('Contrast', 3, 3, ['10:1', '10:1 & 2:1', '4:1'], ['10', '10/2', '4']),
    new option('Stepchart', 2, 2, ['Yes', 'No'], ['StepChart', 'NA']),
    new option('Focus Star', 2, 2, ['Yes', 'No'], ['Focus_Star', '']),
    new option('Color Chart', 1, 2, ['No', 'Yes'], ['', 'Color']),
    new option('Pre-Distortion', 2, 4, ['Not Distorted', 'Distorted', 'Distorted More', 'Ultradistort'], ['', 'Distort', 'Distort+', 'Ultradistort'])
];
var sp_exceptions = [
    ['*', '*', '*', '*', '*', '0', '1', '*'],
    ['*', '2', '2', '*', '*', '*', '*', '*']
];
var splv_options = [
    new option('Squares', 3, 3, ['5x7', '5x9', '7x11'], ['5x7', '5x9', 'NA']),
    new option('Size', 4, 12, ['XX-Large', 'XX-Large-Multi', 'X-Large', 'Large', 'Medium', 'Medium-Multi', 'Small', '1/2-Small', '1/4-Small', '1/8-Small', '1/16-Small', 'Custom'], ['NA', 'NA', 'XL', 'L', 'M', 'MMulti', 'S', 'XS', 'XXS', 'XXXS', 'XXXXS','C']),
    new option('Substrate', 3, 2, ['LVT Film', 'Chrome'], ['LVT Film', 'Chrome']),
    new option('Contrast', 3, 3, ['10:1', '10:1 & 2:1', '4:1'], ['10', '10/2', '4']),
    new option('Stepchart', 2, 2, ['Yes', 'No'], ['StepChart', '']),
    new option('Focus Star', 2, 2, ['Yes', 'No'], ['Focus_Star', '']),
    new option('Color Chart', 1, 2, ['No', 'Yes'], ['', 'Color']),
    new option('Pre-Distortion', 2, 4, ['Not Distorted', 'Distorted', 'Distorted More', 'Ultradistort'], ['', 'Distort', 'Distort+', 'Ultradistort'])
];
var splv_exceptions = [
    ['*', '*', '*', '*', '*', '0', '1', '*'],
    ['*', '0', '1', '*', '*', '*', '*', '*'],
    ['*', '1', '1', '*', '*', '*', '*', '*'],
    ['*', '2', '1', '*', '*', '*', '*', '*'],
    ['*', '3', '1', '*', '*', '*', '*', '*'],
    ['*', '4', '1', '*', '*', '*', '*', '*'],
    ['*', '5', '1', '*', '*', '*', '*', '*'],
    ['*', '6', '1', '*', '*', '*', '*', '*'],
    ['*', '*', '1', '1', '*', '*', '*', '*'],
    ['*', '*', '1', '2', '*', '*', '*', '*'],
    ['*', '*', '1', '*', '0', '*', '*', '*'],
    ['*', '*', '1', '*', '*', '*', '1', '*'],
    ['*', '7', '0', '*', '*', '*', '*', '*'],
    ['*', '8', '0', '*', '*', '*', '*', '*'],
    ['*', '9', '0', '*', '*', '*', '*', '*'],
    ['*', '10', '0', '*', '*', '*', '*', '*']
];

chartTypes.push(new chartType('sfrplus', 'SFRplus', 'SP', 5, sp_options, sp_exceptions));
chartTypes.push(new chartType('lvt_sfrplus', 'LVT SFRplus', 'SPLV', 6, splv_options, splv_exceptions));
